GLM_GTX_matrix_interpolation
Experimental extensions

Include <glm/gtx/matrix_interpolation.hpp> to use the features of this extension. More...

## Functions

template<typename T , qualifier Q>
GLM_FUNC_DECL void | axisAngle (mat< 4, 4, T, Q > const &Mat, vec< 3, T, Q > &Axis, T &Angle)
| Get the axis and angle of the rotation from a matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | axisAngleMatrix (vec< 3, T, Q > const &Axis, T const Angle)
| Build a matrix from axis and angle. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | extractMatrixRotation (mat< 4, 4, T, Q > const &Mat)
| Extracts the rotation part of a matrix. More...
template<typename T , qualifier Q>
GLM_FUNC_DECL mat< 4, 4, T, Q > | interpolate (mat< 4, 4, T, Q > const &m1, mat< 4, 4, T, Q > const &m2, T const Delta)
| Build a interpolation of 4 * 4 matrixes. More...

## Detailed Description

Include <glm/gtx/matrix_interpolation.hpp> to use the features of this extension.

Allows to directly interpolate two matrices.

## Function Documentation

GLM_FUNC_DECL void glm::axisAngle | ( | mat< 4, 4, T, Q > const & | Mat,
|  | vec< 3, T, Q > & | Axis,
|  | T & | Angle
| ) |  |

Get the axis and angle of the rotation from a matrix.

From GLM_GTX_matrix_interpolation extension.

GLM_FUNC_DECL mat<4, 4, T, Q> glm::axisAngleMatrix | ( | vec< 3, T, Q > const & | Axis,
|  | T const | Angle
| ) |  |

Build a matrix from axis and angle.

From GLM_GTX_matrix_interpolation extension.

GLM_FUNC_DECL mat<4, 4, T, Q> glm::extractMatrixRotation | ( | mat< 4, 4, T, Q > const & | Mat | ) |

Extracts the rotation part of a matrix.

From GLM_GTX_matrix_interpolation extension.

GLM_FUNC_DECL mat<4, 4, T, Q> glm::interpolate | ( | mat< 4, 4, T, Q > const & | m1,
|  | mat< 4, 4, T, Q > const & | m2,
|  | T const | Delta
| ) |  |

Build a interpolation of 4 * 4 matrixes.

From GLM_GTX_matrix_interpolation extension. Warning! works only with rotation and/or translation matrixes, scale will generate unexpected results.